
%stream pattern
global ITEMPRESENT ITEMOFF RANDOMBGCOLOR ONTIMINGVARIATION OFFTIMINGVARIATION ITEMS SIZES LOCATIONSX LOCATIONSY COLORS BACKCOLORS FRAMECOLOR ITEMSETS LOCATIONSXVAR LOCATIONSYVAR LOCKP1MASKLOCATION LOCKM1MASKLOCATION PARAMNAMES PARAMS  ORTHOPAIRS
%stream structure
global PREITEMS POSTITEMS MINRSVPLENGTH P1BLANKPERCENTAGE M1BLANKPERCENTAGE TARGETDIST SKELETAL STARTVARIANCE LAGS  TARGETREPETITION DRECYCLE INFORMUSER DTNOREP ITEMSETPOOL ONETARGETSTREAMS
global DTNOREP


%stream pattern parameters
ITEMPRESENT = .106;
ITEMOFF = .00;
RANDOMBGCOLOR = 0;  %randomly switch the BG color of Targets
OFFTIMINGVARIATION = 0;  %variation in the timing of off and on
ONTIMINGVARIATION = 0;  


ORTHOPAIRS = 0;
ITEMS = 0;

%ITEMS(1,1:5) =  ['E','F','G','H',0];%always have the zero!
ITEMS(1,1:19) =  ['B','C','D','F','G','H','J','K','L','N','P','Q','R','T','V','X','Y','Z',0];%always have the zero
%ITEMS(1,1:9) =  ['A','B','C','D','E','F','G','H',0];%always have the zero!
%ITEMS(2,1:2) = ['*',0]; %always have the zero!
ITEMS(2,1:9) = ['2','3','4','5','6','7','8','9',0]; %always have the zero!
%ITEMS(2,1:19) =  ['A','B','C','D','E','F','G','H','J','K','L','N','P','R','T','U','V','Y',0];%always have the zero
ITEMS(3,1:21) =  [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,0];%always have the zero!
%ITEMS(4,1:19) =  ['A','B','C','D','E','F','G','H','J','K','L','N','P','R','T','U','V','Y',0];%always have the zero!
%ITEMS(3,1:19) =  ['A','B','C','D','E','F','G','H','J','K','L','N','P','R','T','U','V','Y',0];%always have the zero!
%ITEMS(4,1:19) =  ['A','B','C','D','E','F','G','H','J','K','L','N','P','R','T','U','V','Y',0];%always have the zero!
%ITEMS(5,1:19) =  ['A','B','C','D','E','F','G','H','J','K','L','N','P','R','T','U','V','Y',0];%always have the zero!
%ITEMS(6,1:19) =  ['A','B','C','D','E','F','G','H','J','K','L','N','P','R','T','U','V','Y',0];%always have the zero!


SIZES(1:8,1) = 70;   %text sizes to be used
SIZES(2,1) = 70;


%which items to use as targets,  T1, T2, ..... TN +1 is distractor set
ITEMSETS = [1,3,2]; %last one is always distractors

%this array must be one longer than the largest number in TARGETDIST

%if an ITEMSET is zero, then the item is randomly pulled from ITEMSETPOOL

ITEMSETPOOL = [3,4,5,6];

%not supported
LOCATIONSX(1:8,1) = .5;  
LOCATIONSY(1:8,1) = .5;
LOCATIONSXVAR(1:8,1) = 0;
LOCATIONSYVAR(1:8,1) = 0;
LOCKP1MASKLOCATION(1:8,1) = 0;  % lock the location of P1 and M1 masks
LOCKM1MASKLOCATION(1:8,1) = 0;


%supported     colors in rgb format
COLORS(1,1:3) = [10,10,10];
COLORS(2,1:3) = [10,10,10];
COLORS(3,1:3) = [255,0,0];  %red
COLORS(4,1:3) = [255,0,0];
COLORS(5,1:3) = [0,0,255];  %red
COLORS(6,1:3) = [0,255,255];
COLORS(7,1:3) = [255,0,255];  %red
COLORS(8,1:3) = [255,255,0];

%not supported at present
BACKCOLORS(1:4,1) = 'w';
BACKCOLORS(2,1) = 'w';
BACKCOLORS(3:8,1) = 'r';

FRAMECOLOR = 'w';


PARAMNAMES{1} = 'FontName';   %these random parameters let you specify anything you want
PARAMS{1,1} = 'Arial';          %add as many as you want by increasing the size of PARAMNAMES
PARAMS{2,1} = 'Arial';          %currently disabled
PARAMS{3,1} = 'Arial';
PARAMS{4,1} = 'Arial';
PARAMS{5,1} = 'Arial';
PARAMS{6,1} = 'Arial';
PARAMS{7,1} = 'Arial';
PARAMS{8,1} = 'Arial';

LAGS = 0;
%LAGS(1,1:1) = [1,2,4,6,8,10,12,14,16,0];  %always have the zero!

%LAGS(1,1:5) = [1,1,7,7,0];  %always have the zero!
LAGS(1,1:3) = [1,18,0];  %always have the zero!
LAGS(2,1:5) = [1,3,8,99,0];  %always have the zero!
LAGS(3,1:2) = [1,0];  %always have the zero!
LAGS(4,1:2) = [1,0];  %always have the zero!
LAGS(5,1:2) = [1,0];  %always have the zero!
LAGS(6,1:2) = [1,0];  %always have the zero!
LAGS(7,1:2) = [1,0];  %always have the zero!
LAGS(8,1:2) = [1,0];  %always have the zero!
%LAGS(2,1:9) = [1,2,3,4,5,6,7,8,0];  %always have the zero!
%LAGS(3,1:9) = [1,2,3,4,5,6,7,8,0];  %always have the zero!
%LAGS(4,1:9) = [1,2,3,4,5,6,7,8,0];  %always have the zero!





%stream structure parameters
PREITEMS = 7;  %minimum D's before first target
POSTITEMS = 5;  %Minimum items after last T1
MINRSVPLENGTH = 30; %minimum number of items


TARGETDIST = [1,2,2,2,2,2,2,2,2,2];

P1BLANKPERCENTAGE =[0,0,0,0,0,0,0,0,0,0,0,0];
M1BLANKPERCENTAGE =[0,0,0,0,0,0,0,0,0,0,0,0];

SKELETAL = 0;
STARTVARIANCE = 5; %how many after preitems can we place it



TARGETREPETITION = 0;  %allow targets to repeat
DRECYCLE = 4;  %how many do we go back to ensure D is not a repeat
DTNOREP = 0;  %compare repeats between T's and D's  set to zero to disable    THEY MUST CORRESPOND 1 FOR 1 IN ITEMS!



INFORMUSER = 0;
NUMSTREAMS = 12; 

ONETARGETSTREAMS = 10;


save('parmfile','ITEMPRESENT','ITEMOFF','RANDOMBGCOLOR','ONTIMINGVARIATION','OFFTIMINGVARIATION','ITEMS','SIZES','LOCATIONSX','LOCATIONSY','COLORS','BACKCOLORS','FRAMECOLOR','ITEMSETS','LOCATIONSXVAR','LOCATIONSYVAR','LOCKP1MASKLOCATION','LOCKM1MASKLOCATION','PARAMNAMES','PARAMS','PREITEMS','POSTITEMS','MINRSVPLENGTH','P1BLANKPERCENTAGE','M1BLANKPERCENTAGE','TARGETDIST','SKELETAL','LAGS','STARTVARIANCE','TARGETREPETITION','DRECYCLE','INFORMUSER','NUMSTREAMS','ITEMSETPOOL');
